%define major 13
%define libname %mklibname gdata %major
%define develname %mklibname -d gdata


Name:           libgdata
Version:        0.12.0
Release:        %mkrel 1
Summary:        Library for the GData protocol
Summary(de):	Bibliothek für das Gdata Protokoll
Group:          System/Libraries
License:        LGPLv2+
URL:            http://live.gnome.org/libgdata
Source0: 	%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  libsoup-devel 
BuildRequires:  dbus-glib-devel
BuildRequires:  gtk-doc
BuildRequires:  intltool
BuildRequires:	liboauth-devel
BuildRequires:	%{_lib}glib2.0_0-devel+
Obsoletes:  	%name < %version

%description
libgdata is a GLib-based library for accessing online service APIs using the
GData protocol --- most notably, Google's services. It provides APIs to access
the common Google services, and has full asynchronous support.

%description -l sr
libgdata је GLib-базирана библиотека за приступ нет сервисима (API) користећи
GData протокол --- најзначајније, Google сервисе. Пружа АПИ за приступ
стандардним Google сервисима, и има потпуну асинхрону подршку.

%description -l de
Bibliothek für das Gdata Protokoll. 
Libgdata ist eine auf GLib-basierende Bibliothek für den Zugriff auf online-Dienst
API's, mithilfe des GData Protokolls—vor allem, die Google Dienste. Es bietet
API's den Zugriff auf die allgemeinen Google-Dienste, und besitzt eine vollständig
asynchrone Unterstützung. 

%package i18n
Summary: Library for the GData protocol - translations
Summary(de): Bibliothek für das Gdata Protokoll - Übersetzungen
Group:	System/Libraries


%description i18n
libgdata is a GLib-based library for accessing online service APIs using the
GData protocol --- most notably, Google's services. It provides APIs to access
the common Google services, and has full asynchronous support.

%description i18n -l sr
libgdata је GLib-базирана библиотека за приступ нет сервисима (API) користећи
GData протокол --- најзначајније, Google сервисе. Пружа АПИ за приступ
стандардним Google сервисима, и има потпуну асинхрону подршку.

%description i18n -l de
Bibliothek für das Gdata Protokoll, die Übersetzungen.
Libgdata ist eine auf GLib-basierende Bibliothek für den Zugriff auf online-Dienst API's,
mithilfe des GData Protokolls—vor allem, die Google Dienste. Es bietet API's den Zugriff
auf die allgemeinen Google-Dienste, und besitzt eine vollständig asynchrone Unterstützung.


%package -n %{libname}
Summary:	Library for the GData protocol
Summary(de):	Bibliothek für das Gdata Protokoll
Group:		System/Libraries
Requires: %name-i18n >= %version

%description -n %{libname}
libgdata is a GLib-based library for accessing online service APIs using the
GData protocol --- most notably, Google's services. It provides APIs to access
the common Google services, and has full asynchronous support.

%description -n %{libname} -l sr
libgdata је GLib-базирана библиотека за приступ нет сервисима (API) користећи
GData протокол --- најзначајније, Google сервисе. Пружа АПИ за приступ
стандардним Google сервисима, и има потпуну асинхрону подршку.

%description -n %{libname} -l de
Libgdata ist eine auf GLib-basierende Bibliothek für den Zugriff auf online-Dienst
API's, mithilfe des GData Protokolls—vor allem, die Google Dienste. Es bietet API's
den Zugriff auf die allgemeinen Google-Dienste, und besitzt eine vollständig asynchrone
Unterstützung.


%package -n %develname
Summary:        Development files for %{name}
Summary(de):	Entwicklerdateien für %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:	%name-devel = %version-%release

%description -n %develname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%description -n %develname -l sr
%{name}-devel пакет који садржи библиотеке и заглавља за
развој апликација које користе %{name}.

%description -n %develname -l de
Entwickler Dateien für libgdata.
Das libgdata-devel Paket enthält Bibliotheken und Header Dateien zur
Entwicklung von Anwendungen, welche libgdata verwenden.


%prep
%setup -q

%build
%configure2_5x --disable-static \
 --enable-gnome \
 --enable-gtk-doc
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
%find_lang gdata


%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%post -n %libname
/sbin/ldconfig

%postun -n %libname
/sbin/ldconfig


%files i18n -f gdata.lang

%files -n %libname
%defattr(-,root,root,-)
%doc NEWS README AUTHORS
%{_libdir}/libgdata.so.%{major}*
%{_libdir}/girepository-1.0/GData-0.0.typelib

%files -n %develname
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gtk-doc/html/gdata/
%{_datadir}/gir-1.0/GData-0.0.gir

%changelog
* Fri Oct 05 2012 Neal <nealbrks0 at gmail dot com>  0.12.0-1pclos2012
- process

* Fri Oct 05 2012 Ken <lxgator@gmail.com>  0.12.0-1pclos2012
- 0.12.0

* Sun Mar 04 2012 Neal <nealbrks0 at gmail dot com> 0.10.1-2pclos2012
- 

* Fri Mar 02 2012 leiche <meisssw01 at gmail.com> 0.10.1-2pclos2012
- rebuild for 32 bit
- add german description
- add liboauth-devel as build required
- add libglib2.0_0-devel+ as build required

* Mon Sep 19 2011 Texstar <texstar at gmail.com> 0.10.1-1pclos2011
- 0.10.1

* Thu Aug 25 2011 Texstar <texstar at gmail.com> 0.9.1-1pclos2011
- 0.9.1

* Wed Dec 15 2010 Texstar <texstar at gmail.com> 0.6.6-1pclos2010
- 0.6.6

* Sat Oct 02 2010 Texstar <texstar at gmail.com> 0.6.5-1pclos2010
- 0.6.5

* Tue Mar 30 2010 Texstar <texstar at gmail.com> 0.6.4-1pclos2010
- 0.6.4

* Sat Mar 20 2010 slick50 <lxgator@gmail.com> 0.6.3-1pclos2010
- 0.6.3


